Page MenuHomePhabricator

Page icons in Special:Search completion suggester don't differentiate between page types
Closed, ResolvedPublic

Description

When searching on Special:Search (not the navigation search field) the autocompletion list shows an icon next to each entry. These should show a different icon for disambiguation, existing, not found, etc. They appear to only be showing a single icon for all page status/types.

I think this was introduced with MediaWiki 1.31/wmf.2

https://gerrit.wikimedia.org/r/#/c/381451/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2017, 7:56 PM
debt triaged this task as High priority.Oct 6 2017, 8:00 PM

Change 382774 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] SearchInputWidget: Don't show images

https://gerrit.wikimedia.org/r/382774

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not part of OOjs UI, this is a MediaWiki widget.

If images aren't working with the default configuration, we should change the default to be false.

So crazily the opensearch API only returns descriptions and images in XML format, but not JSON (see examples: https://www.mediawiki.org/wiki/API:Opensearch ). And the images are always 50px thumbs, not configurable.

Change 382774 merged by jenkins-bot:
[mediawiki/core@master] SearchInputWidget: Don't show images

https://gerrit.wikimedia.org/r/382774

debt added a subscriber: debt.Oct 10 2017, 4:56 PM

Thanks for the fast patch, @Jdforrester-WMF and investigation @Esanders :)

debt closed this task as Resolved.Oct 13 2017, 3:45 PM
debt claimed this task.